# -*- coding: utf-8 -*-
"""
/***************************************************************************
 TestThreadWorker
                                 A QGIS plugin
 Test Thread Worker
                             -------------------
        begin                : 2015-08-19
        copyright            : (C) 2015 by Luigi Pirelli
        email                : luipir@gmail.com
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load TestThreadWorker class from file TestThreadWorker.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .test_thread_worker import TestThreadWorker
    return TestThreadWorker(iface)
